# Notifications

## GET /notifications

> Get notifications for the authenticated user

```json
{"openapi":"3.0.0","info":{"title":"Pear Protocol Trading API","version":"1.0.0"},"servers":[{"url":"https://hl-v2.pearprotocol.io","description":"Production (Mainnet)"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}}},"paths":{"/notifications":{"get":{"operationId":"NotificationsController_getNotifications","parameters":[{"name":"limit","required":false,"in":"query","description":"Maximum number of records to return (maximum 100)","schema":{"type":"number"}},{"name":"startDate","required":false,"in":"query","description":"Filter notifications created on/after this time (ISO or ms)","schema":{"type":"string"}},{"name":"endDate","required":false,"in":"query","description":"Filter notifications created on/before this time (ISO or ms)","schema":{"type":"string"}}],"responses":{"200":{"description":"Notifications retrieved successfully","content":{"application/json":{"schema":{"type":"array","items":{"type":"object"}}}}}},"summary":"Get notifications for the authenticated user","tags":["Notifications"]}}}}
```

## POST /notifications/read

> Mark a notification by id as read or all up to a timestamp (ms)

```json
{"openapi":"3.0.0","info":{"title":"Pear Protocol Trading API","version":"1.0.0"},"servers":[{"url":"https://hl-v2.pearprotocol.io","description":"Production (Mainnet)"}],"security":[{"bearer":[]}],"components":{"securitySchemes":{"bearer":{"scheme":"bearer","bearerFormat":"JWT","type":"http"}},"schemas":{"MarkNotificationsReadDto":{"type":"object","properties":{"id":{"type":"string","description":"Notification id to mark as read (takes precedence if provided)."},"timestamp":{"type":"number","description":"Unix timestamp in milliseconds. Marks notifications created at or before this time as read."}}}}},"paths":{"/notifications/read":{"post":{"operationId":"NotificationsController_markRead","parameters":[],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MarkNotificationsReadDto"}}}},"responses":{"200":{"description":"Number of notifications updated","content":{"application/json":{"schema":{"type":"object"}}}}},"summary":"Mark a notification by id as read or all up to a timestamp (ms)","tags":["Notifications"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pearprotocol.io/api-integration/api-specification/notifications.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
